Communities

Writing
Writing
Codidact Meta
Codidact Meta
The Great Outdoors
The Great Outdoors
Photography & Video
Photography & Video
Scientific Speculation
Scientific Speculation
Cooking
Cooking
Electrical Engineering
Electrical Engineering
Judaism
Judaism
Languages & Linguistics
Languages & Linguistics
Software Development
Software Development
Mathematics
Mathematics
Christianity
Christianity
Code Golf
Code Golf
Music
Music
Physics
Physics
Linux Systems
Linux Systems
Power Users
Power Users
Tabletop RPGs
Tabletop RPGs

Dashboard
Notifications
Mark all as read
Q&A

Your Ruby version is 2.7.0, but your Gemfile specified 2.6.6.

+1
−0

In my Ruby project, when I try bundle install, I got:

Your Ruby version is 2.7.0, but your Gemfile specified 2.6.6

I don't know how to solve it. I am using Windows Subsystem for Linux (WSL) Ubuntu 20.04 and Ruby 2.7.0.

Why does this post require moderator attention?
You might want to add some details to your flag.
Why should this post be closed?

0 comment threads

2 answers

+2
−0

I think you are working on qpixel. While, working on a big project don't change their version. Just change your ruby version. To change ruby version you have to use rvm

rvm install 2.6.6
rvm use 2.6.6

I think another type of login required in terminal (i forgot). If you can't execute above command normally than, try with sudo. I am sure that sudo can't execute them also. So, at first login using

/bin/bash --login

Then, execute those commands. I hope it will work now.

Why does this post require moderator attention?
You might want to add some details to your flag.

0 comment threads

+0
−0

Go to your Gemfile (Inside your project structure) and edit ruby '2.6.6' to ruby '2.7.0' and then you are good to go.

Like:

Preview

Why does this post require moderator attention?
You might want to add some details to your flag.

1 comment thread

What about potentially incompatible differences between versions? (2 comments)

Sign up to answer this question »

This community is part of the Codidact network. We have other communities too — take a look!

You can also join us in chat!

Want to advertise this community? Use our templates!